Package: org.gradle.tooling

## [Java] Interface ResultHandler<T>

- A handler for an asynchronous operation which returns an object of type T.

  Parameters:
    `` - The result type.
  Since:
    1.0-milestone-3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `onComplete(T result)` Handles successful completion of the operation.
    `void` | `onFailure(GradleConnectionException failure)` Handles a failed operation.

- - ### Method Detail

    - #### public void onComplete(T result)

      Handles successful completion of the operation.

      Parameters:
        `result` - the result
      Since:
        1.0-milestone-3

    - #### public void onFailure(GradleConnectionException failure)

      Handles a failed operation. This method is invoked once only for a given operation.

      Parameters:
        `failure` - the failure
      Since:
        1.0-milestone-3